# see jenkinsfile for version to build
ARG NC_VERSION=17
FROM nextcloud:${NC_VERSION}-apache

RUN apt-get update && apt-get install -y smbclient && rm -rf /var/lib/apt/lists/*

# RUN echo memory_limit=-1 > /usr/local/etc/php/conf.d/memory-limit.ini
# /proc/self/fd/2

RUN echo error_log = /proc/self/fd/2 > /usr/local/etc/php/conf.d/error-log.ini